#
# spec file for package gedit-plugins
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gedit-plugins
Summary:        A collection of plugins for gedit
License:        GPL-2.0+
Group:          Productivity/Editors/Other
Version:        3.16.0
Release:        3.42
Source:         http://download.gnome.org/sources/gedit-plugins/3.16/%{name}-%{version}.tar.xz
Source1:        gedit-plugins.SUSE
Url:            http://live.gnome.org/GeditPlugins
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkg-config
BuildRequires:  translation-update-upstream
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dbus-python)
BuildRequires:  pkgconfig(gedit) >= 3.14.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.9.0
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.14.0
BuildRequires:  pkgconfig(libgit2-glib-1.0) >= 0.0.6
BuildRequires:  pkgconfig(libpeas-gtk-1.0) >= 1.7.0
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(zeitgeist-2.0) >= 0.9.12
# configure tests for python gi-bindings of gucharmap
BuildRequires:  typelib-1_0-Gucharmap-2_90
Requires:       %{name}-lang = %{version}
Requires:       gedit >= 3.14.0
Enhances:       gedit
Recommends:     %{name}-data
Suggests:       gedit-plugin-bookmarks
Suggests:       gedit-plugin-bracketcompletion
Suggests:       gedit-plugin-charmap
Suggests:       gedit-plugin-codecomment
Suggests:       gedit-plugin-colorpicker
Suggests:       gedit-plugin-colorschemer
Suggests:       gedit-plugin-commander
Suggests:       gedit-plugin-dashboard
Suggests:       gedit-plugin-drawspaces
Suggests:       gedit-plugin-git
Suggests:       gedit-plugin-joinlines
Suggests:       gedit-plugin-multiedit
Suggests:       gedit-plugin-smartspaces
Suggests:       gedit-plugin-synctex
Suggests:       gedit-plugin-terminal
Suggests:       gedit-plugin-textsize
Suggests:       gedit-plugin-wordcompletion
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Here follows a list of plugins currently available in gedit-plugins:

 * Bracket Completion Add automatically a closing bracket when you
   insert one
 * Charmap Select characters from a charactermap
 * Code Comment Comment or uncomment blocks of code
 * Color picker Select and insert a color from a dialog (for html,
   css, php)
 * Join lines/ Split lines Join or split multiple lines through Ctrl+J
   and Ctrl+Shift+J
 * Session Saver Allow to bookmark working sessions in order to get
   them back for further use
 * Smart Spaces Allow to unindent like if you were using tabs while
   you're using spaces
 * Show tabbar A very basic plugin which shows or hides the gedit tabbar
 * Terminal A simple terminal widget accessible from the bottom panel

%package -n %{name}-data
Summary:        Common data required by plugins
Group:          Productivity/Editors/Other
Requires:       gedit

%description -n %{name}-data
Common files required by all plugins

%package -n gedit-plugin-bookmarks
Summary:        Gedit bookmarks plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/bookmarks.plugin

%description -n gedit-plugin-bookmarks
The gedit bookmarks plugin.

%package -n gedit-plugin-bracketcompletion
Summary:        Gedit bracketcompletion plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/bracketcompletion.plugin

%description -n gedit-plugin-bracketcompletion
The gedit bracketcompletion plugin.

%package -n gedit-plugin-charmap
Summary:        Gedit charmap plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/charmap.plugin

%description -n gedit-plugin-charmap
The gedit charmap plugin.

%package -n gedit-plugin-codecomment
Summary:        Gedit codecomment plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/codecomment.plugin

%description -n gedit-plugin-codecomment
The gedit codecomment plugin.

%package -n gedit-plugin-colorpicker
Summary:        Gedit colorpicker plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/colorpicker.plugin

%description -n gedit-plugin-colorpicker
The gedit colorpicker plugin.

%package -n gedit-plugin-colorschemer
Summary:        Gedit colorschemer plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/colorschemer.plugin

%description -n gedit-plugin-colorschemer
The gedit colorschemer plugin.

%package -n gedit-plugin-commander
Summary:        Gedit commander plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/commander.plugin

%description -n gedit-plugin-commander
The gedit commander plugin.

%package -n gedit-plugin-dashboard
Summary:        Gedit dashboard plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/dashboard.plugin

%description -n gedit-plugin-dashboard
The gedit dashboard plugin.

%package -n gedit-plugin-drawspaces
Summary:        Gedit drawspaces plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/drawspaces.plugin

%description -n gedit-plugin-drawspaces
The gedit drawspaces plugin.

%package -n gedit-plugin-git
Summary:        Gedit git plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/git.plugin

%description -n gedit-plugin-git
The gedit git plugin.

%package -n gedit-plugin-joinlines
Summary:        Gedit joinlines plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/joinlines.plugin

%description -n gedit-plugin-joinlines
The gedit joinlines plugin

%package -n gedit-plugin-multiedit
Summary:        Gedit multiedit plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/multiedit.plugin

%description -n gedit-plugin-multiedit
The gedit multiedit plugin

%package -n gedit-plugin-smartspaces
Summary:        Gedit smartspaces plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/smartspaces.plugin

%description -n gedit-plugin-smartspaces
The gedit smartspaces plugin

%package -n gedit-plugin-synctex
Summary:        Gedit synctex plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/synctex.plugin

%description -n gedit-plugin-synctex
The gedit synctex plugin

%package -n gedit-plugin-terminal
Summary:        Gedit terminal plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Requires:       vte2
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/terminal.plugin

%description -n gedit-plugin-terminal
The gedit terminal plugin

%package -n gedit-plugin-textsize
Summary:        Gedit textsize plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/textsize.plugin

%description -n gedit-plugin-textsize
The gedit textsize plugin

%package -n gedit-plugin-wordcompletion
Summary:        Gedit wordcompletion plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/wordcompletion.plugin

%description -n gedit-plugin-wordcompletion
The gedit wordcompletion plugin

%package -n gedit-plugin-zeitgeist
Summary:        Zeitgeist dataprovider for gedit
Group:          Productivity/Text/Editors
Requires:       gedit
# For dashboard plugin
Requires:       %{name}-data
Requires:       zeitgeist
Supplements:    packageand(gedit:zeitgeist)

%description -n gedit-plugin-zeitgeist
The zeitgeist plugin for gedit provides a zeitgeist dataprovider that
logs access and leave event for documents used with gedit.

%lang_package
%prep
%setup -q
install %{S:1} .
translation-update-upstream

%build
%configure
%__make %{?jobs:-j%jobs} V=1

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{name}
%find_lang gedit %{name}.lang
%fdupes %{buildroot}/%{_datadir}/gedit/plugins
%fdupes %{buildroot}/%{_libdir}/gedit/plugins
%fdupes %{buildroot}/%{_datadir}/help

%clean
rm -rf %{buildroot}

%post -n gedit-plugin-drawspaces
%glib2_gsettings_schema_post

%post -n gedit-plugin-terminal
%glib2_gsettings_schema_post

%post -n gedit-plugin-wordcompletion
%glib2_gsettings_schema_post

%postun -n gedit-plugin-drawspaces
%glib2_gsettings_schema_postun

%postun -n gedit-plugin-terminal
%glib2_gsettings_schema_postun

%postun -n gedit-plugin-wordcompletion
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc gedit-plugins.SUSE

%files -n %{name}-data 
%defattr(-,root,root)
# Common files
%{_libdir}/gedit/plugins/gpdefs.py*
%{_libdir}/gedit/plugins/__pycache__/gpdefs.*
%dir %{_libdir}/gedit/plugins/__pycache__

%files -n gedit-plugin-bookmarks
## Explicitly list all plugins so we know when we miss one
# bookmarks
%defattr(-,root,root)
%{_datadir}/appdata/gedit-bookmarks.metainfo.xml
%{_libdir}/gedit/plugins/bookmarks.plugin
%{_libdir}/gedit/plugins/libbookmarks.so

%files -n gedit-plugin-bracketcompletion
# bracketcompletion
%defattr(-,root,root)
%{_datadir}/appdata/gedit-bracketcompletion.metainfo.xml
%{_libdir}/gedit/plugins/bracketcompletion.plugin
%{_libdir}/gedit/plugins/bracketcompletion.py*
%{_libdir}/gedit/plugins/__pycache__/bracketcompletion.*

%files -n gedit-plugin-charmap
# charmap
%defattr(-,root,root)
%{_datadir}/appdata/gedit-charmap.metainfo.xml
%{_libdir}/gedit/plugins/charmap.plugin
%{_libdir}/gedit/plugins/charmap/

%files -n gedit-plugin-codecomment
# codecomment
%defattr(-,root,root)
%{_datadir}/appdata/gedit-codecomment.metainfo.xml
%{_libdir}/gedit/plugins/codecomment.plugin
%{_libdir}/gedit/plugins/codecomment.py*
%{_libdir}/gedit/plugins/__pycache__/codecomment.*

%files -n gedit-plugin-colorpicker
# colorpicker
%defattr(-,root,root)
%{_datadir}/appdata/gedit-colorpicker.metainfo.xml
%{_libdir}/gedit/plugins/colorpicker.plugin
%{_libdir}/gedit/plugins/colorpicker.py*
%{_libdir}/gedit/plugins/__pycache__/colorpicker.*

%files -n gedit-plugin-colorschemer
# colorschemer
%defattr(-,root,root)
%{_datadir}/appdata/gedit-colorschemer.metainfo.xml
%{_libdir}/gedit/plugins/colorschemer.plugin
%{_datadir}/gedit/plugins/colorschemer/
%{_libdir}/gedit/plugins/colorschemer/

%files -n gedit-plugin-commander
# commander
%defattr(-,root,root)
%{_datadir}/appdata/gedit-commander.metainfo.xml
%{_libdir}/gedit/plugins/commander.plugin
%{_libdir}/gedit/plugins/commander/
%{_datadir}/gedit/plugins/commander/

%files -n gedit-plugin-dashboard
# dashboard
%defattr(-,root,root)
%{_datadir}/appdata/gedit-dashboard.metainfo.xml
%{_libdir}/gedit/plugins/dashboard.plugin
%{_libdir}/gedit/plugins/dashboard/

%files -n gedit-plugin-drawspaces
# drawspaces
%defattr(-,root,root)
%{_datadir}/appdata/gedit-drawspaces.metainfo.xml
%{_libdir}/gedit/plugins/drawspaces.plugin
%{_libdir}/gedit/plugins/libdrawspaces.so
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.drawspaces.gschema.xml

%files -n gedit-plugin-git
# git
%defattr(-,root,root)
%{_datadir}/appdata/gedit-git.metainfo.xml
%{_libdir}/gedit/plugins/git.plugin
%{_libdir}/gedit/plugins/git/

%files -n gedit-plugin-joinlines
# joinlines
%defattr(-,root,root)
%{_datadir}/appdata/gedit-joinlines.metainfo.xml
%{_libdir}/gedit/plugins/joinlines.plugin
%{_libdir}/gedit/plugins/joinlines.py*
%{_libdir}/gedit/plugins/__pycache__/joinlines.*

%files -n gedit-plugin-multiedit
# multiedit
%defattr(-,root,root)
%{_datadir}/appdata/gedit-multiedit.metainfo.xml
%{_libdir}/gedit/plugins/multiedit.plugin
%{_libdir}/gedit/plugins/multiedit/

%files -n gedit-plugin-smartspaces
# smartspaces
%defattr(-,root,root)
%{_datadir}/appdata/gedit-smartspaces.metainfo.xml
%{_libdir}/gedit/plugins/smartspaces.plugin
%{_libdir}/gedit/plugins/smartspaces.py*
%{_libdir}/gedit/plugins/__pycache__/smartspaces.*

%files -n gedit-plugin-synctex
# synctex
%defattr(-,root,root)
%{_datadir}/appdata/gedit-synctex.metainfo.xml
%{_libdir}/gedit/plugins/synctex.plugin
%{_libdir}/gedit/plugins/synctex/

%files -n gedit-plugin-terminal
# terminal
%defattr(-,root,root)
%{_datadir}/appdata/gedit-terminal.metainfo.xml
%{_libdir}/gedit/plugins/terminal.plugin
%{_libdir}/gedit/plugins/terminal.py*
%{_libdir}/gedit/plugins/__pycache__/terminal.*
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.terminal.gschema.xml

%files -n gedit-plugin-textsize
# textsize
%defattr(-,root,root)
%{_datadir}/appdata/gedit-textsize.metainfo.xml
%{_libdir}/gedit/plugins/textsize.plugin
%{_libdir}/gedit/plugins/textsize/

%files -n gedit-plugin-wordcompletion
# wordcompletion
%defattr(-,root,root)
%{_datadir}/appdata/gedit-wordcompletion.metainfo.xml
%{_libdir}/gedit/plugins/wordcompletion.plugin
%{_libdir}/gedit/plugins/libwordcompletion.so
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.wordcompletion.gschema.xml

%files lang -f %{name}.lang

%files -n gedit-plugin-zeitgeist
%defattr(-, root, root)
%{_datadir}/appdata/gedit-zeitgeist.metainfo.xml
%{_libdir}/gedit/plugins/zeitgeist.plugin
%{_libdir}/gedit/plugins/libzeitgeist.so

%changelog
* Tue Mar 24 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Misc bugfixes.
  + Updated translations.
* Mon Mar 23 2015 badshah400@gmail.com
- Main package should Suggest instead of Recommending individual
  plugin packages; split Provides for individual plugin
  subpackages to help with update.
* Tue Mar 17 2015 sfalken@opensuse.org
-  Reworked subpackages, to provide for individual installation of
  plugins, rather than getting all or nothing.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.1:
  + Misc bugfixes.
  + Updated translations.
* Wed Feb 18 2015 dimstar@opensuse.org
- Update to version 3.15.0:
  + Misc bugfixes.
  + Updated translations.
* Mon Feb  9 2015 zaitor@opensuse.org
- Move zeitgeist Requires to the gedit-plugin-zeitgeist
  sub-package, avoid dragging in zeitgeist for main package.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.1:
  + Misc bugfixes.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + New features and fixes:
  - Improve joinlines plugin.
  - Improve multiedit plugin.
  - Improve commander plugin.
  - Improve git plugin.
  - terminal: Port to vte-2.91.
  + Updated translations.
- Drop gedit-plugins-vte-2.91.patch: fixed upstream.
- Drop gnome-common BuildRequires and call to autogen.sh: no longer
  requires, as no patch touches the build system.
- Add typelib-1_0-Gucharmap-2_90 BuildRequires: new dependency. As
  the plugins are written in python, we only require the gi
  bindings, not the entire -devel package.
* Sat Jul 26 2014 dimstar@opensuse.org
- Update to version 3.13.2:
  + Adapt to the rename of gedit's desktop file.
* Tue Jul 22 2014 dimstar@opensuse.org
- Update to version 3.13.1:
  + Adapt the plugins for the changes in GeditDocument.
  + Various improvements and bug fixes.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.0:
  + Moved zeitgeist plugin from gedit core to plugins.
  + Updated translations.
- Add pkgconfig(zeitgeist-2.0) BuildRequires.
- Create new subpackage gedit-plugin-zeitgeist (moved from gedit
  mainpackage, preserved the name of the package).
- Add gedit-plugins-vte-2.91.patch: Detect and use Vte 2.91.
- Add gnome-common BuildRequires and call to autogen.sh, as above
  patch touches the buildsystem.
- Replace pkgconfig(vte-2.90) BuildRequires with
  pkgconfig(vte-2.91).
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Split drawspaces into app/window/view activatables.
  + Fix bug preventing synctex to work.
  + Misc bugfixes.
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Ignore remote files in the git plugin.
  + Misc bugfixes.
  + Updated translations.
* Wed Mar  5 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Port synctex to new menu API.
  + Misc bugfixes.
  + Updated translations.
* Thu Feb  6 2014 dimstar@opensuse.org
- Update to version 3.11.2:
  + Port plugins to new menu API.
  + Misc bugfixes.
  + Updated translations.
* Wed Jan 15 2014 dimstar@opensuse.org
- Update to version 3.11.1:
  + Misc bugfixes.
  + Updated translations.
* Wed Dec  4 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Misc bugfixes.
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Misc bugfixes.
  + Updated translations.
* Sat Jul 20 2013 dimstar@opensuse.org
- Update to version 3.9.2:
  + Show the file's git status in the file browser.
  + Word completion: add configure options.
  + Misc bugfixes.
  + Updated translations.
- Add pkgconfig(libgit2-glib-1.0) BuildRequires: enable the git
  plugin.
* Fri Jun 21 2013 dimstar@opensuse.org
- Update to version 3.9.1:
  + Add user help translations.
  + New git plugin.
  + terminal: handle drag and drop of files.
  + Follow gnome-terminal settings on terminal plugin.
  + Misc bugfixes.
  + Updated translations.
- Replace gnome-doc-utils-devel BuildRequires with yelp-tools,
  following upstreams port to the new documentation infrastructure.
* Sun May 26 2013 dimstar@opensuse.org
- Update to version 3.8.2:
  + Follow gnome-terminal settings on terminal plugin.
  + Misc bugfixes.
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Port Dashboard to use libzeitgeist2.
  + New Color Schemer plugin.
  + Misc bugfixes.
  + Updated translations.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Misc bugfixes.
  + Updated translations.
* Tue Feb  5 2013 dimstar@opensuse.org
- Update to version 3.7.1:
  + Port plugins to python 3.
  + Drop session saver plugin.
  + Drop taglist plugin.
  + Misc bugfixes.
  + Updated translations.
* Tue Oct 16 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + Misc bugfixes.
  + Updated translations.
- Fix the fdupes calls: it's been a while gedit-2 did not exist
  anymore.
* Mon Sep 24 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Use the textview instead of the overlay for the overlayed color
    button.
* Wed Sep 19 2012 dimstar@opensuse.org
- Update to version 3.5.2:
  + Color picker now shows an overlayed color button when a
    hexadecimal color is selected
  + Misc bugfixes
  + Updated translations.
* Sun Aug 19 2012 dimstar@opensuse.org
- Update to version 3.5.1:
  + Misc bugfixes
  + Updated translations.
* Mon Apr 23 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Misc bugfixes
  + Updated translations.
- Drop gedit-plugins-implicit.patch: fixed upstream.
* Thu Mar  8 2012 vuntz@opensuse.org
- Update to version 3.3.4:
  + Port colorpicker to new color chooser widget
  + Use GResource for drawspaces
  + Misc bugfixes
  + Updated translations.
* Sat Feb 25 2012 vuntz@opensuse.org
- Update to version 3.3.3:
  + Misc bugfixes
  + Updated translations.
- Remove sed hack in %%prep for broken configure check for vte:
  fixed upstream.
* Tue Feb  7 2012 vuntz@opensuse.org
- Update to version 3.3.2:
  + Commander plugin bugfixes
  + Misc bugfixes
  + Updated translations.
- Remove xz BuildRequires now that it comes for free in the build
  system.
- Add pkgconfig(vte-2.90) BuildRequires to keep building the
  terminal plugin, after a configure check got added for vte.
- Add a sed hack in %%prep to work around broken configure check for
  vte.
* Wed Dec 21 2011 vuntz@opensuse.org
- Add zeitgeist Requires for the dashboard plugin.
- Remove .la files: we're not interested in them.
- Explicitly list all plugins in the file list, so we notice if
  we're missing one.
* Sun Dec  4 2011 dimstar@opensuse.org
- Update to version 3.3.1:
  + New dashboard plugin
  + Misc bugfixes
  + Updated translations.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
- Add gedit-plugins-implicit.patch: Fix an implicit declaration of
  atoi(), as stdlib.h was not included.
- Change License tag to spdx identifier (GPL-2.0+).
* Mon Oct 17 2011 vuntz@opensuse.org
- Update to version 3.2.1:
  + i18n fixes
  + Fix doc module in commander plugin
  + Misc bugfixes
  + Updated translations.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Updated translations.
* Fri Sep 23 2011 andrea.turrini@gmail.com
- Fix typo in description.
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 3.1.5:
  + Misc bugfixes
  + Updated translations.
* Tue Sep  6 2011 vuntz@opensuse.org
- Update to version 3.1.4:
  + Misc bugfixes
* Thu Sep  1 2011 vuntz@opensuse.org
- Update to version 3.1.3:
  + Misc bugfixes
  + Updated translations.
* Tue Jul  5 2011 vuntz@opensuse.org
- Update to version 3.1.2:
  + Misc bugfixes.
* Tue Jun 14 2011 dimstar@opensuse.org
- Update to version 3.1.1:
  + Misc bugfixes
  + Updated translations.
* Fri May 27 2011 dimstar@opensuse.org
- Update to version 3.0.3:
  + Misc bugfixes.
* Wed Apr 27 2011 fcrozat@novell.com
- Update to version 3.0.2:
  + Misc bugfixes
  + Updated translations.
- Changes from version 3.0.1:
  + Misc bugfixes
* Wed Apr  6 2011 fcrozat@novell.com
- Update to version 3.0.0:
  - Port commander plugin to gtk+ 3.
* Tue Mar 29 2011 fcrozat@novell.com
- Update to version 2.91.3:
  + Update autoconf
  + Port bookmarks plugin to new message bus system
  + Update synctex to use the new dbus api
  + Misc Bugfixes
- Changes from version 2.91.2:
  + Misc bugfixes
- Changes from version 2.91.1:
  + Several plugins ported to gtk3/libpeas
  + Port charmap plugin to python.
  + Import the taglist plugin from gedit
  + Added new 'grep' commander module
  + Added synctex plugin
  + Misc Bugfixes
- Changes from version 2.90.0:
  + Ported textsize plugin to libpeas.
  + Update several plugins to new libpeas API.
- Move to pkgconfig()-style BuildRequires (including move to GNOME
  3 stack):
  + Old ones: gedit-devel, gtk2-devel, gtksourceview-devel.
  + New ones: gedit, gtk+-3.0, gtksourceview-3.0.
- Add pkgconfig() BuildRequires: dbus-python (for synctex plugin)
  and libpeas-gtk-1.0.
- Drop BuildRequires: gconf2-devel (move to GSettings), glib2-devel
  (implied by gtk3), gucharmap-devel, python-gtk-devel,
  python-gtksourceview-devel, vte-devel (move to libpeas-based
  plugins).
- Replace GConf2 schemas handling with GSettings schemas handling,
  with %%glib2_gsettings_schema_* macros.
* Mon Feb 21 2011 vuntz@opensuse.org
- Fix build, now that translation-update-upstream introduces the
  sr@latin translation. So we simply need to remove sr@Latn,
  instead of renaming it to sr@latin.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Sat Sep 18 2010 vuntz@opensuse.org
- Update to version 2.31.7:
  + Misc fixes to synctex plugin.
- Changes from version 2.31.6:
  + Misc fixes to synctex plugin.
  + Misc fixes to commander and multiedit plugins.
  + Added new texsize plugin
  + Updated translations.
- Changes from version 2.31.5:
  + Added new synctex plugin.
- Changes from version 2.31.4 and earlier were discarded and will
  be in the 3.0 release.
* Fri Jun  4 2010 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed May 12 2010 dimstar@opensuse.org
- Choose valid RPM group.
* Thu Apr  1 2010 vuntz@opensuse.org
- Remove unneeded gedit BuildRequires, since gedit-devel now brings
  it in.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Commander:
  - change shortcut to control-+
  - hide commander when done
  - add autocomplete for edit.rename
  - make shell background and replace also accessible from the
    module
  - improve new-command template
  - implement support for accelerators
  - allow completion of empty command
  - various bug fixes
  + Add new align module
  + Updated translations.pdated translations.
* Sun Jan 17 2010 vuntz@opensuse.org
- Update to version 2.29.4:
  + Added new plugin commander
  + Added message bus bindings for bookmarks actions
  + Misc Bugfixes
  + Updated translations.
- Use fdupes on /usr/share/gedit-2 too.
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 2.29.3:
  + Misc Bugfixes
  + Updated translations.
- Changes from version 2.29.2:
  + Added multi edit plugin
  + Misc Bugfixes
  + Updated translations.
- Changes from version 2.29.1:
  + Added word completion plugin
  + Added support for drawing leading, text and trailing spaces
  + Misc Bugfixes
  + Updated translations.
* Thu Oct  1 2009 vuntz@opensuse.org
- Update to version 2.28.0:
  + Misc Bugfixes
  + Updated translations.
* Wed Aug 26 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Remember bookmarks on files using metadata
  + Misc Bugfixes
  + Updated translations.
* Fri Jul 31 2009 vuntz@novell.com
- Update to version 2.26.3:
  + Misc bugfixes
  + Updated translations.
* Tue May 19 2009 dominique-obs@leuenberger.net
- Update to version 2.26.2:
  + Misc bugfixes
  + Updated translations.
* Mon May 18 2009 vuntz@novell.com
- Do not use tabs, remove trailing white spaces.
- Add missing Requires for the lang package.
- Fix the sr@Latn with a simple mv, instead of patching.
- Use fdupes.
- Add Requires on gedit.
* Sat May 16 2009 dominique-obs@leuenberger.net
- New package for gedit-plugins, all plugins enabled.
